Skip to content

Case Search

  • Endpoint: POST /aggregate-pay/api/gateway/caseSearch
  • Tags: Chargeback Service

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYesRequest data body
data.caseIdstringYesmaxLength: 64chargeback case no
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
spMerchantNostringNoMerchant ID of ISV service provider

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2023-04-13T06:31:52.000Z",
  "appId": "54a5e69376734010982c1602c88e00ff",
  "merchantNo": "SP100860372",
  "data": {
    "caseId": "O20230103065545916437107761"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYesreturn data body
data.amountstringYesmaxLength: 20Actual frozen payment amount of the case. It should be returned with the decimal places supported by each country's currency. Example: 15.00.
data.retrievalDatestringYesmaxLength: 32Documents retrieval initiation date, Format: yyyy-MM-dd
data.feestringYesmaxLength: 20Case freezing fee,returned according to the decimal point supported by each country’s currency.
data.caseResultstringNomaxLength: 32Case result,Merchant wins: WIN, merchant loses: FAI
data.batchIdstringNomaxLength: 64Case batch number, generated during batch documents retrieval.
data.outUserIdstringYesmaxLength: 64User ID
data.tradeCreateTimestringYesTransaction creation time, Format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX
data.totalAmountstringYesmaxLength: 20Actual total frozen amount of the case, which is the sum of the actual frozen amount and the actual frozen fee. It should be returned with the decimal point supported by the respective currency of each country. Example: 25.00.
data.caseIdstringYesmaxLength: 64Case id
data.outTradeNostringYesmaxLength: 64Merchant order number
data.currencystringNomaxLength: 3Actual currency frozen for the case
data.tradeTokenstringYesmaxLength: 64Payermax trade token
data.statusstringYesmaxLength: 32Case status
data.expirationDatestringYesmaxLength: 32Reply due date: Merchant needs to submit proof materials before the due date, Format: yyyy-MM-dd
data.originTradeAmountstringYesmaxLength: 20Amount to be frozen for the case, corresponding to the original transaction order's amount to be frozen. It should be returned with the decimal point supported by the respective currency of each country. Example: 15.00.
data.originTradeCurrencystringNomaxLength: 3Currency to be frozen for the case, corresponding to the original transaction order's currency to be frozen. Example: INR.
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "msg": "Success.",
  "code": "APPLY_SUCCESS",
  "data": {
    "amount": "5000.00",
    "retrievalDate": "2023-02-13",
    "fee": "5000.00",
    "caseResult": "WIN",
    "batchId": "",
    "outUserId": "10042",
    "tradeCreateTime": "2023-01-03T06:32:52.000Z",
    "totalAmount": "10000.00",
    "caseId": "O20230103065545916437107761",
    "outTradeNo": "dev-RenshTest1672727570986",
    "currency": "IDR",
    "tradeToken": "T2023081604639602348121",
    "status": "DISPUTE_INQUIRY",
    "expirationDate": "2023-02-14",
    "originTradeAmount": "5000.00",
    "originTradeCurrency": "IDR"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.